# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Attributes | List of all members
DBus::Glib::BusDispatcher Class Reference

`#include <glib-integration.h>`

Inheritance diagram for DBus::Glib::BusDispatcher:

## Public Member Functions

| BusDispatcher ()
| ~BusDispatcher ()
void | attach (GMainContext *)
void | enter ()
void | leave ()
Timeout * | add_timeout (Timeout::Internal *)
void | rem_timeout (Timeout *)
Watch * | add_watch (Watch::Internal *)
void | rem_watch (Watch *)
void | set_priority (int priority)
Public Member Functions inherited from DBus::Dispatcher
virtual | ~Dispatcher ()
void | queue_connection (Connection::Private *)
void | dispatch_pending ()
bool | has_something_to_dispatch ()

## Private Attributes

GMainContext * | _ctx
int | _priority
GSource * | _source

## Detailed Description

Definition at line 91 of file glib-integration.h.

## Constructor & Destructor Documentation

## ◆ BusDispatcher()

Glib::BusDispatcher::BusDispatcher | ( |  | ) |

Definition at line 245 of file glib-integration.cpp.

References _ctx, _priority, and _source.

## ◆ ~BusDispatcher()

Glib::BusDispatcher::~BusDispatcher | ( |  | ) |

Definition at line 250 of file glib-integration.cpp.

References _ctx, and _source.

## Member Function Documentation

## ◆ add_timeout()

Timeout * Glib::BusDispatcher::add_timeout | ( | Timeout::Internal * | wi | ) |

virtual

Implements DBus::Dispatcher.

Definition at line 280 of file glib-integration.cpp.

References _ctx, _priority, DBus::debug_log, and DBus::Timeout::enabled().

## ◆ add_watch()

Watch * Glib::BusDispatcher::add_watch | ( | Watch::Internal * | wi | ) |

virtual

Implements DBus::Dispatcher.

Definition at line 296 of file glib-integration.cpp.

References _ctx, _priority, DBus::debug_log, DBus::Watch::descriptor(), DBus::Watch::enabled(), and DBus::Watch::flags().

## ◆ attach()

void Glib::BusDispatcher::attach | ( | GMainContext * | ctx | ) |

Definition at line 265 of file glib-integration.cpp.

References _ctx, _source, and dispatcher_funcs.

## ◆ enter()

void DBus::Glib::BusDispatcher::enter | ( |  | ) |

inline virtual

Implements DBus::Dispatcher.

Definition at line 100 of file glib-integration.h.

## ◆ leave()

void DBus::Glib::BusDispatcher::leave | ( |  | ) |

inline virtual

Implements DBus::Dispatcher.

Definition at line 102 of file glib-integration.h.

## ◆ rem_timeout()

void Glib::BusDispatcher::rem_timeout | ( | Timeout * | t | ) |

virtual

Implements DBus::Dispatcher.

Definition at line 289 of file glib-integration.cpp.

References DBus::debug_log.

## ◆ rem_watch()

void Glib::BusDispatcher::rem_watch | ( | Watch * | w | ) |

virtual

Implements DBus::Dispatcher.

Definition at line 306 of file glib-integration.cpp.

References DBus::debug_log.

## ◆ set_priority()

void Glib::BusDispatcher::set_priority | ( | int | priority | ) |

Definition at line 313 of file glib-integration.cpp.

References _priority.

## Member Data Documentation

## ◆ _ctx

GMainContext* DBus::Glib::BusDispatcher::_ctx

private

Definition at line 116 of file glib-integration.h.

Referenced by add_timeout(), add_watch(), attach(), BusDispatcher(), and ~BusDispatcher().

## ◆ _priority

int DBus::Glib::BusDispatcher::_priority

private

Definition at line 117 of file glib-integration.h.

Referenced by add_timeout(), add_watch(), BusDispatcher(), and set_priority().

## ◆ _source

GSource* DBus::Glib::BusDispatcher::_source

private

Definition at line 118 of file glib-integration.h.

Referenced by attach(), BusDispatcher(), and ~BusDispatcher().

The documentation for this class was generated from the following files:

- glib-integration.h
- glib-integration.cpp